YASKKSERV_HAIRY(1)

NAME
yaskkserv_hairy - Yet Another SKK SERVer (feature-rich version)

SYNOPSIS
yaskkserv_hairy [OPTION] dictionary [dictionary...]

DESCRIPTION
This manual page was written for the Debian GNU/Linux distribution because the original program does not have a manual page.

yaskkserv is a dictionary server for the SKK Japanese input method system. yaskkserv is written in C++ from scratch in consideration of embedded environment, but is compatible with skkserv on the protocol behavior.

yaskkserv_hairy supports server completion function in addition to features of yaskkserv_normal.

OPTIONS

-c, --check-update
    check update dictionary (default disable)

-d, --debug
    enable debug mode (default disable)

-h, --help
    print this help and exit

-l, --log-level=LEVEL
    loglevel (range [0 - 9] default 1)

-m, --max-connection=N
    max connection (default 8)

-p, --port=PORT
    set port (default 1178)

--server-completion-midasi-length=LENGTH
    set midasi length (range [256 - 32768] default 2048)

--server-completion-midasi-string-size=SIZE
    set midasi string size (range [16384 - 1048576] default 262144)

--server-completion-test=type
    1:default 2:ignore slash 3:space 4:space and protocol 'c'

--google-cache=ENTRIES
    cache (ENTRIES quantity) to access Google API. use with care.

--google-japanese-input=type
    disable(default)/notfound/notfound-suggest-input/notfound-input-suggest/dictionary

--google-japanese-input-timeout
    timeout seconds (default 2.5)

--google-suggest
    enable google suggest for DICT-URL in addition to google japanese input

--use-http
    use http instead of https to access google API

--use-ipv6
    enable IPv6

--no-daemonize
    run foreground (disable daemonize)

-v, --version
    print version

COPYRIGHT
Copyright © 2005-2014 Tadashi Watanabe.

SEE ALSO
yaskkserv_normal(1), yaskkserv_simple(1), yaskkserv_make_dictionary(1).

AUTHOR
yaskkserv was written by Tadashi Watanabe <wac@umiushi.org>.

This manual page was written by KURASHIKI Satoru <lurdan@gmail.com>, for the Debian project (but may be used by others).